# Template file for 'doxygen'
pkgname=doxygen
version=1.7.6.1
distfiles="http://ftp.stack.nl/pub/users/dimitri/$pkgname-$version.src.tar.gz"
short_desc="Source code documentation generator tool"
maintainer="Juan RP <xtraeme@gmail.com>"
homepage="http://www.doxygen.org/"
license="GPL-2"
checksum=0e60e794fb172d3fa4a9a9535f0b8e0eeb04e8366153f6b417569af0bcd61fcd
long_desc="
 Doxygen is a documentation system for C++, C, Java, Objective-C, Python,
 IDL (Corba and Microsoft flavors), Fortran, VHDL, PHP, C#, and to some
 extent D."

subpackages="$pkgname-gui"
Add_dependency build coreutils
Add_dependency build perl
Add_dependency build flex
Add_dependency build qt-devel

do_configure() {
	export QMAKESPEC=/usr/share/qt/mkspecs/linux-g++
	env QTDIR=/usr ./configure \
		--prefix /usr --with-doxywizard --with-doxyapp
}

do_build() {
	make ${makejobs}
}

do_install() {
	make INSTALL=${DESTDIR}/usr MAN1DIR=share/man/man1 install
}
